> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Remove milestone strategy

DELETE https://app.unleash-instance.example.com/api/admin/release-plan-templates/{templateId}/milestones/{milestoneId}/strategies/{strategyId}

**Enterprise feature**

Deletes the milestone strategy

Reference: https://docs.getunleash.io/api/remove-milestone-strategy

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: admin-api
  version: 1.0.0
paths:
  /api/admin/release-plan-templates/{templateId}/milestones/{milestoneId}/strategies/{strategyId}:
    delete:
      operationId: remove-milestone-strategy
      summary: Removes a strategy attached to a milestone
      description: |-
        **Enterprise feature**

        Deletes the milestone strategy
      tags:
        - subpackage_releaseTemplates
      parameters:
        - name: templateId
          in: path
          required: true
          schema:
            type: string
        - name: milestoneId
          in: path
          required: true
          schema:
            type: string
        - name: strategyId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: API key needed to access this API
          required: true
          schema:
            type: string
      responses:
        '200':
          description: This response has no body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Release
                  Templates_removeMilestoneStrategy_Response_200
        '401':
          description: >-
            Authorization information is missing or invalid. Provide a valid API
            token as the `authorization` header, e.g.
            `authorization:*.*.my-admin-token`.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RemoveMilestoneStrategyRequestUnauthorizedError
        '403':
          description: >-
            The provided user credentials are valid, but the user does not have
            the necessary permissions to perform this operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RemoveMilestoneStrategyRequestForbiddenError
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RemoveMilestoneStrategyRequestNotFoundError
servers:
  - url: https://app.unleash-instance.example.com
    description: Your Unleash instance (replace with your actual URL)
components:
  schemas:
    Release Templates_removeMilestoneStrategy_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Release Templates_removeMilestoneStrategy_Response_200
    RemoveMilestoneStrategyRequestUnauthorizedError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: RemoveMilestoneStrategyRequestUnauthorizedError
    RemoveMilestoneStrategyRequestForbiddenError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: RemoveMilestoneStrategyRequestForbiddenError
    RemoveMilestoneStrategyRequestNotFoundError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: RemoveMilestoneStrategyRequestNotFoundError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: API key needed to access this API
    bearerToken:
      type: http
      scheme: bearer
      description: API key needed to access this API, in Bearer token format

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId';
const options = {
  method: 'DELETE',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```